create or replace PACKAGE laphd_hmm is
FUNCTION LAYTT_NGUOIVANDONG(
    PSUSERID IN VARCHAR2
    , PSMATINHNGDUNG IN VARCHAR2
    , PSSCHEMAUSER IN VARCHAR2
    , PSDONVIQL   IN VARCHAR2
    ) RETURN SYS_REFCURSOR;



  FUNCTION LAYTT_NGUOIVANDONG_LAPHD_HRM(
         PSUSERID IN VARCHAR2
       , PSMATINHNGDUNG IN VARCHAR2
       , PSSCHEMAUSER IN VARCHAR2
       , PSDONVIQL   IN VARCHAR2
       , PSTYPE   IN VARCHAR2
      ) RETURN SYS_REFCURSOR;

  FUNCTION LAYTT_NGUOIVANDONG_HRM(
         PSUSERID IN VARCHAR2
       , PSMATINHNGDUNG IN VARCHAR2
       , PSSCHEMAUSER IN VARCHAR2
       , PSDONVIQL   IN VARCHAR2
       , PSTYPE   IN VARCHAR2
      ) RETURN SYS_REFCURSOR;

  FUNCTION LAYDS_NGUOI_TIEPTHI_HRM
        ( PSUSERID        IN VARCHAR2
        ,PSMATINHNGDUNG   IN VARCHAR2
        ,PSDATASCHEMA    IN VARCHAR2
        ,PIPAGEID        IN VARCHAR2
        ,PIREC_PER_PAGE  IN VARCHAR2
        ,PSMA_TTHI       IN VARCHAR2
        ,PSTEN_TTHI      IN VARCHAR2
        , PSHRM   IN VARCHAR2
        , PSTTKD   IN VARCHAR2
      )
      RETURN  SYS_REFCURSOR;
    
  FUNCTION LAYDS_NGUOI_KHAC_CTV
        ( PSUSERID        IN VARCHAR2
        ,PSMATINHNGDUNG   IN VARCHAR2
        ,PSDATASCHEMA    IN VARCHAR2
        ,PIPAGEID        IN VARCHAR2
        ,PIREC_PER_PAGE  IN VARCHAR2
        ,PSMA_TTHI       IN VARCHAR2
        ,PSTEN_TTHI      IN VARCHAR2
      )
      RETURN  SYS_REFCURSOR;

END;